Subject: pkg/23579: graphics/gd fails to build
To: None <>
From: None <>
List: netbsd-bugs
Date: 11/27/2003 15:54:10
>Number:         23579
>Category:       pkg
>Synopsis:       graphics/gd fails to build
>Confidential:   no
>Severity:       serious
>Priority:       high
>Responsible:    pkg-manager
>State:          open
>Class:          sw-bug
>Submitter-Id:   net
>Arrival-Date:   Thu Nov 27 04:55:00 UTC 2003
>Originator:     James Whitwell
>Release:        NetBSD 1.6.1_STABLE
System: NetBSD dopey 1.6.1_STABLE NetBSD 1.6.1_STABLE (NEKO) #0: Mon Oct 13 00:19:01 EST 2003 jams@neko:/usr/home/jams/rel16/src/sys/arch/i386/compile/NEKO i386
Architecture: i386
Machine: i386
Running "make" or "make install" in pkgsrc/graphics/gd fails with the
following error:

dopey:~/pkgsrc/graphics/gd:$ make
===> Checking for vulnerabilities in gd-2.0.15
=> Checksum OK for gd-2.0.15.tar.gz.
===> Extracting for gd-2.0.15
===> Required installed package jpeg>=6b: jpeg-6bnb1 found
===> Required installed package png>=1.2.4: png-1.2.5nb2 found
===> Required installed package libtool-base>=1.4.20010614nb11: libtool-base-1.4.20010614nb16 found
===> Required installed package x11-links>=0.17: x11-links-0.18 found
===> Patching for gd-2.0.15
===> Overriding tools for gd-2.0.15
===> Buildlinking for gd-2.0.15
libtool: link: the `-version-info' option requires an argument
Try `libtool --help --mode=link' for more information.
libtool: install: `.la' is not a valid libtool archive
Try `libtool --help --mode=install' for more information.
sed: /usr/home/jams/pkgsrc/graphics/gd/work/.buildlink/.tmp/inst/.la: No such file or directory
*** Error code 1

make: stopped in /usr/home/jams/pkgsrc/graphics/gd
*** Error code 1

make: stopped in /home/jams/pkgsrc/graphics/gd

1. checkout the latest pkgsrc
2. cd graphics/gd
3. make